[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Berkeley DB and svnadmin Issues

From: John Szakmeister <john_at_szakmeister.net>
Date: 2005-12-08 11:58:31 CET

On Wednesday 07 December 2005 01:04, Robert Sesek wrote:
> Hi all,
>
> I'm using Subversion 1.2.3 on Fedora Core 4. Here's my situation:
>
> I upgraded from Fedora 3 to Fedora 4. When this happened, my Berkeley
> DB repositories were no longer accessible. This is the error that I
> receive when I tried to access them:
>
> svnadmin: Berkeley DB error for filesystem blog/db while opening
> environment:
> DB_VERSION_MISMATCH: Database environment version mismatch
> svnadmin: bdb: Program version 4.3 doesn't match environment version
>
> I would like to migrate them to FSFT, but I can't dump the
> repository. I don't know how to get around this issue. Here's what
> I've tried (all unsuccessful):
[snip]

Normally, you can run svnadmin recover to upgrade the repository in-place.
However, there is some other bug in 4.3 that prevents this. Follow the steps
outlined at:
  http://subversion.tigris.org/faq.html#bdb43-upgrade

-John

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Thu Dec 8 12:02:54 2005

This is an archived mail posted to the Subversion Users mailing list.